import handleFoundationAction from '../../../utils/handleFoundationAction';


const foundation = 'autocomplete.collapse';

export default ({ path, root, type }) => {
    return {
        type,
        meta: {
            foundation,
            path,
            root
        },
        payload: {
            expanded: false,
            highlightedIndex: -1,
            options: []
        }
    };
};

export const reducer = handleFoundationAction(foundation);
