import handleFoundationAction from '../../../utils/handleFoundationAction';


const foundation = 'autocomplete.select';

export default ({ option, path, root, type } = {}) => {
    return {
        type,
        meta: {
            foundation,
            option,
            path,
            root
        },
        payload: {
            expanded: false,
            highlightedIndex: -1,
            options: []
        }
    };
};

export const reducer = handleFoundationAction(foundation);
